<template>
  <div id="chart-buys" style="height: 200px"></div>
</template>

<script>
import * as am4core from "@amcharts/amcharts4/core";
import * as am4charts from "@amcharts/amcharts4/charts";
import am4themes_animated from "@amcharts/amcharts4/themes/animated";
am4core.useTheme(am4themes_animated);

export default {
  mounted() {
    this.createChart();
  },
  methods: {
    createChart() {
      var chartBuys = am4core.create("chart-buys", am4charts.XYChart);

      chartBuys.data = [
        {
          country: "Lithuania",
          research: 501.9,
          marketing: 250,
          sales: 199,
        },
        {
          country: "Czech Republic",
          research: 301.9,
          marketing: 222,
          sales: 251,
        },
        {
          country: "Ireland",
          research: 201.1,
          marketing: 170,
          sales: 199,
        },
        {
          country: "Germany",
          research: 165.8,
          marketing: 122,
          sales: 90,
        },
      ];

      var categoryAxis = chartBuys.xAxes.push(new am4charts.CategoryAxis());
      categoryAxis.dataFields.category = "country";
      categoryAxis.title.text = "Local country offices";
      categoryAxis.renderer.grid.template.location = 0;
      categoryAxis.renderer.minGridDistance = 20;

      var valueAxis = chartBuys.yAxes.push(new am4charts.ValueAxis());
      valueAxis.title.text = "";

      var series = chartBuys.series.push(new am4charts.ColumnSeries());
      series.dataFields.valueY = "research";
      series.dataFields.categoryX = "country";
      series.name = "Research";
      series.tooltipText = "{name}: [bold]{valueY}[/]";

      var series2 = chartBuys.series.push(new am4charts.ColumnSeries());
      series2.dataFields.valueY = "marketing";
      series2.dataFields.categoryX = "country";
      series2.name = "Marketing";
      series2.tooltipText = "{name}: [bold]{valueY}[/]";

      var series3 = chartBuys.series.push(new am4charts.ColumnSeries());
      series3.dataFields.valueY = "sales";
      series3.dataFields.categoryX = "country";
      series3.name = "Sales";
      series3.tooltipText = "{name}: [bold]{valueY}[/]";
      series3.stacked = true;
      chartBuys.cursor = new am4charts.XYCursor();
      chartBuys.legend = new am4charts.Legend();
    },
  },

  beforeDestroy() {
    if (this.chartBuys) {
      this.chartBuys.dispose();
    }
  },
};
</script>
